Bug 164426 - The "Automatically obtain DNS information from provider" box is ignored
The "Automatically obtain DNS information from provider" box is ignored
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-27 16:20 EDT by Andre Robatino
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-10 13:51:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Andre Robatino 2005-07-27 16:20:58 EDT
Description of problem:
  For an Ethernet Device, the "Automatically obtain DNS information from
provider" box is ignored.  The information is obtained automatically even if the
box is unchecked and explicit DNS servers are entered under the DNS tab.  This
makes it impossible to work around routers which have DNS handling bugs and tell
the OS to use the router itself as a DNS server.

Version-Release number of selected component (if applicable):
system-config-network-1.3.26-1

How reproducible:
always

Steps to Reproduce:
1.  Configure an ethernet device.
2.  Uncheck the "Automatically obtain DNS information from provider" box.
3.  Manually enter DNS server addresses.
  
Actual results:
  Upon reboot, the manually entered DNS addresses are replaced with the info
automatically obtained from the buggy router.

Expected results:
  The manually entered DNS addresses should remain in /etc/resolv.conf so they
can be used without having to reenter them after each reboot.

Additional info:
  Am using "Automatically obtain IP address settings with dhcp" (BTW, dhcp is
initially grayed out, so some people may not realize that it can in fact be
selected).
Comment 1 Andre Robatino 2005-07-28 09:58:33 EDT
  For some reason it's working now.  I don't know why.  It seems to have
happened all by itself, AFTER I rebooted the first time and noticed that my
settings had been erased.  Now they're back, though I don't think I entered them
again.  Can someone else reproduce this bug?
Comment 2 GeoffLeach 2006-01-02 14:02:03 EST
I can, exactly as outlined above. Easily reproduced. 
% /etc/rc.d/init.d/network stop
<edit using GUI, save, verify change to /etc/resolv.conf>
% /etc/rc.d/init.d/network start
</etc/resolv.conf restored>

The problem persists across reboot.

system-config-network-1.3.26-1
Comment 3 Harald Hoyer 2006-01-11 04:17:52 EST
Fast guess: This is dhclient (dhcp) running and overwriting /etc/resolv.conf
Comment 4 GeoffLeach 2006-01-11 11:47:27 EST
This appears likely, as dhclient is indeed running. Also, in the manpage for
dhclient.conf, I read: "The client now has some very limited support for doing
DNS updates when a lease is acquired.   This is prototypical, and  probably 
doesnât  do what you want." Which, at least, seems to describe the problem. But
I can't discover what causes it to acquire the DNS info, or how to shut it off.

Needless to say, I do need to acquire a dynamic IP address from my ISP.
Comment 5 John Thacker 2007-03-10 13:51:10 EST
Closing because bug has remained in NEEDINFO state without reply for a long
period of time.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

This bug was originally filed against a much earlier version of Fedora
Core, and significant changes have taken place since the last version
for which this bug is confirmed.  

If it was dhclient, the -R option controls what information is requested from
the DHCP server, as does the "request" keyword in dhclient.conf.  The -R flag
was added by RedHat on May 26 2006 for package 3.0.4-10

Note You need to log in before you can comment on or make changes to this bug.